=== src/plugins/kdeconnect/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"purpose6_kdeconnect\")
add_share_plugin(kdeconnectplugin kdeconnectplugin.cpp)
