## kf6-purpose 6.6.0

=== debian/changelog ===
kf6-purpose (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:09:12 +0100

kf6-purpose (6.5.0-0ubuntu2) oracular; urgency=medium

  * qml6-module-org-kde-purpose: Demote kdeconnect from recommends to
    suggests. Request by lubuntu-dev.

 -- Rik Mills <rikmills@kde.org>  Sat, 14 Sep 2024 12:59:35 +0100

kf6-purpose (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:25:27 +0100

kf6-purpose (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Pass gcc option -std=c++17 to acc autopkgtests
  * Fix acc autopkgtest: correct headers names and add
    libKF6PurposeWidgets.so to libs
  * Add again to libkf6purpose-bin some files which do not conflict with
    libkf5purpose-bin

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:36:45 +0100
