## kf6-purpose 6.9.0

=== debian/changelog ===
kf6-purpose (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)
  * Build with kaccounts again.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:50:18 +0000

kf6-purpose (6.8.0-0ubuntu3) plucky; urgency=medium

  * Revert using dh_qmldeps so we do not depend on kdeconnect.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Dec 2024 14:38:17 +0000

kf6-purpose (6.8.0-0ubuntu2) plucky; urgency=medium

  * Merge changes from 6.6.0-2 in Debian unstable.
    - Use dh_qmldeps to detect QML dependencies.
    - Add qml6-module packages to -dev package for QML dependency
      detection.

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Dec 2024 13:58:20 +0000

kf6-purpose (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:39:48 +0000

kf6-purpose (6.6.0-2) unstable; urgency=medium

  * Team upload.
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.
  * Temporarily add qt6-declarative-private-dev to workaround #1087385.
  * Remove not needed depdendecy on qml6-module-org-kde-
    kquickcontrolsaddons.

 -- Sandro Knauß <hefee@debian.org>  Mon, 18 Nov 2024 20:55:40 +0100

kf6-purpose (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:15:04 +0200

kf6-purpose (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * Fix the 'acc' autopkgtest:
    - set -std=c++17, needed when using Qt 6
    - fix the paths with headers
  * CI: update/simplify configuration.
  * Drop extra whitespaces in changelog.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Aug 2024 06:14:03 +0200

kf6-purpose (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Drop optional dependency on kaccounts for now, until it’s available in
    unstable too.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:12 +0200

kf6-purpose (6.4.0-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Make the versioned Breaks/Replaces against the correct version of the KF6
    package.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 30 Jul 2024 11:50:13 +0200

kf6-purpose (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.4.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:25:03 +0200

kf6-purpose (6.3.0-4) experimental; urgency=medium

  [ Scarlett Moore ]
  * Add back breaks/replace as the conflict is acually on the
    service files.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 17 Jul 2024 16:21:09 -0700

kf6-purpose (6.3.0-3) experimental; urgency=medium

  [ Scarlett Moore ]
  * Add myself to uploaders.
  * Allow co-installability with kf5 bin package by tightening
    the install file to only install the renamed {icon}6 files
    and removing the breaks/replace.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 17 Jul 2024 07:31:59 -0700

kf6-purpose (6.3.0-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Only Breaks / Replaces against the versions of libkf5purpose-bin that
    actually conflict with libkf6purpose-bin.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 10 Jul 2024 22:33:44 +0200
