=== debian/control ===
--- 
+++ 
@@ -5,21 +5,25 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
+           Scarlett Moore <sgmoore@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.6.0~),
+               extra-cmake-modules (>= 6.9.0~),
                gettext,
                intltool,
-               libkf6config-dev (>= 6.6.0~),
-               libkf6coreaddons-dev (>= 6.6.0~),
-               libkf6i18n-dev (>= 6.6.0~),
-               libkf6kio-dev (>= 6.6.0~),
-               libkf6notifications-dev (>= 6.6.0~),
-               libkf6service-dev (>= 6.6.0~),
-               libkirigami-dev (>= 6.6.0~),
+               libkaccounts6-dev,
+               libkf6config-dev (>= 6.9.0~),
+               libkf6coreaddons-dev (>= 6.9.0~),
+               libkf6i18n-dev (>= 6.9.0~),
+               libkf6kio-dev (>= 6.9.0~),
+               libkf6notifications-dev (>= 6.9.0~),
+               libkf6service-dev (>= 6.9.0~),
+               libkirigami-dev (>= 6.9.0~),
                pkgconf,
+               qml6-module-org-kde-bluezqt (>= 6.9.0~),
+               qml6-module-org-kde-prison (>= 6.9.0~),
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
 Standards-Version: 4.7.0
@@ -31,12 +35,16 @@
 Package: libkf6purpose-bin
 Architecture: any
 Multi-Arch: same
-Depends: qml6-module-org-kde-bluezqt [linux-any],
-         qml6-module-org-kde-kcmutils,
+Depends: qml6-module-org-kde-bluezqt,
          qml6-module-org-kde-kirigami,
          qml6-module-org-kde-prison,
+         qml6-module-qtquick,
+         qml6-module-qtquick-controls,
+         qml6-module-qtquick-dialogs,
+         qml6-module-qtquick-layouts,
          ${misc:Depends},
          ${shlibs:Depends},
+Recommends: qml6-module-org-kde-purpose
 Suggests: kdeconnect,
 Description: abstraction to provide and leverage actions of a specific kind, runtime
  Purpose offers the possibility to create integrate services and actions on
@@ -64,9 +72,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6coreaddons-dev (>= 6.6.0~),
+Depends: libkf6coreaddons-dev (>= 6.9.0~),
          libkf6purpose6 (= ${binary:Version}),
          libkf6purposewidgets6 (= ${binary:Version}),
+         qml6-module-org-kde-purpose (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Description: abstraction to provide and leverage actions of a specific kind, devel files
@@ -106,7 +115,8 @@
 Package: qml6-module-org-kde-purpose
 Architecture: any
 Multi-Arch: same
-Depends: qml6-module-qtquick,
+Depends: qml6-module-org-kde-kirigami,
+         qml6-module-qtquick,
          qml6-module-qtquick-controls,
          qml6-module-qtquick-dialogs,
          qml6-module-qtquick-layouts,
