## kf6-purpose 6.10.0

=== debian/changelog ===
kf6-purpose (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:28:30 +0100

kf6-purpose (6.8.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Update list of installed files (Closes: #1090240).
  * Update build-dependencies with missing QML modules.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 16 Dec 2024 19:26:48 +0100

kf6-purpose (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Reenable kaccounts integration.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 12:47:49 +0100

kf6-purpose (6.7.0-2) experimental; urgency=medium

  * Team upload.
  * Merge changes from 6.6.0-2, 6.6.0-3, and 6.6.0-4.

 -- Pino Toscano <pino@debian.org>  Thu, 28 Nov 2024 08:08:38 +0100

kf6-purpose (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:28 -0600

kf6-purpose (6.6.0-4) unstable; urgency=medium

  * Team upload.
  * Limit the qml6-module-org-kde-bluezqt build dependency to Linux
    architectures only, as bluez (and thus bluez-qt) exists only on Linux.
  * Drop trailing whitespaces in changelog.

 -- Pino Toscano <pino@debian.org>  Wed, 27 Nov 2024 08:14:26 +0100

kf6-purpose (6.6.0-3) unstable; urgency=medium

  * Team upload.
  * Mark qml6-module-org-kde-kdeconnect as recommended dependency, as it
    does not exists in sid (#1087840).
  * Mark qml6-module-org-kde-purpose as recommended for
    libkf6purpose-bin to stop circular dependency.

 -- Sandro Knauß <hefee@debian.org>  Wed, 20 Nov 2024 21:13:01 +0100
