=== debian/changelog ===
kf6-purpose (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:56:08 +0000

kf6-purpose (6.11.0-0ubuntu3) plucky; urgency=medium

  * Move to ${qml6:Depends} for QML 6 package dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 16 Feb 2025 21:03:45 -0600

kf6-purpose (6.11.0-0ubuntu2) plucky; urgency=high

  * Sync changes from debian/6.10.0-1

 -- Rik Mills <rikmills@kde.org>  Sat, 15 Feb 2025 15:10:06 +0000

kf6-purpose (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:51:09 +0000

kf6-purpose (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)
  * Update runtime depends.
  * Disable acc test for now.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:22:29 +0000
